Issue 93998 - DataPilot uses too much memory for caching
Summary: DataPilot uses too much memory for caching
Status: CLOSED FIXED
Alias: None
Product: Calc
Classification: Application
Component: code (show other issues)
Version: DEV300m31
Hardware: Unknown All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: oc
QA Contact: issues@sc
URL: https://bugzilla.novell.com/show_bug....
Keywords:
Depends on:
Blocks:
 
Reported: 2008-09-17 18:39 UTC by kyoshida
Modified: 2013-08-07 15:14 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description kyoshida 2008-09-17 18:39:53 UTC
The current cache table implementation uses excessive memory under certain types
of data.  Let's refactor the cache table code to make it use less memory.
Comment 1 kyoshida 2008-09-17 18:40:13 UTC
started
Comment 2 kyoshida 2008-10-01 02:07:39 UTC
fixed in koheidatapilot02 cws.  I've switched to using heap memory to allocate
cached cell contents dynamically so that I can use null pointers to represent
empty cells.  I've also pooled cache cell contents per document to avoid
allocating multiple cell instances of identical content.
Comment 3 kyoshida 2008-11-17 16:07:37 UTC
re-assigning to oc for qa.
Comment 4 oc 2008-11-20 15:01:31 UTC
verified in internal build cws_koheidatapilot02
Comment 5 thorsten.ziehm 2010-02-22 14:48:54 UTC
This issue is closed automatically. It should be fixed in a version with is
available for longer than half a year (OOo 3.1). If you think this issue isn't
fixed in the current version (OOo 3.2) please reopen it. But then please pay
attention about the field 'target milestone'.
The closure was approved by the Release Status Meeting at 22nd of February 2010
and it is based on the issue handling guideline for fixed/verified issues  :
http://wiki.services.openoffice.org/wiki/Handle_fixed_verified_issues